<?php use_helper('UrlFunctions'); ?>

<?php

if($id){
  $o_MercadoBean = new MercadoBean();
  $o_MercadoBean->setIdMercado($id);
  
  
  $o_MercadoBL = new MercadoBL();
  $o_MercadoBean = $o_MercadoBL->busquedaMercadoDetalles($o_MercadoBean);
  
  $a_MercadoRepresentante = $o_MercadoBean[0]->getArrayMerColaborador();
  
} 

?>



<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>

<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
</script>
<!--
<script>
validateControls = function(){
  var errOutput         = { error:false, msg:"" };

  return errOutput;
}
</script>-->

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=NombreColaborador&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>
insertOptionDefault = function(){
  
  var table = $('tableContent');
  var countRows = table.rows.length;
  
  var tr = table.rows[countRows-1];
  var td = tr.cells[1];
  var idSelect = td.firstChild.id;
  
  values = [[idSelect,'rep_;_Colaborador']];
  
  actualizaJSON('', values);
  
}
</script>

<script>
events = function(type){
  oReturn = validateControls();
  if(!oReturn.error){
    switch (type){
      case 'submit':
        if(grid.getCountRows() > 1){
          if(grid.validateRows()){
            disabledWin.show(true,true,'idGrid')
            $('form1').submit();
          }else{
            alert("Verifique el formulario.");
          }
        }else{
          elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Tiene que Ingresar detalles.'); setTimeout('elementLoad.hide()',3000);
        }
      break;
      case 'insert':
        grid.insert();
        insertOptionDefault();
      break;
      case 'delete':
        grid.deletes();
      break;
    }
  }else{
    alert(oReturn.msg);
    return false;
  }
}
</script>

<script>
buscaDetalle = function(e,elm){
  var charCode;
  if (navigator.appName == "Mozilla" || navigator.appName == "Netscape"){
    charCode = e.keyCode;
  }else{
    charCode = event.keyCode;
  }
  if (charCode == 114){
    
    var parentTr      = elm.parentNode.parentNode.id;
    var valueSelect   = $(parentTr + "_td_1_tipoColaborador[]").value;
    var url           = "";
    
    if(valueSelect != ""){
      switch (valueSelect){
        case 'rep':
          url = '<?=buildUrlComplet('mnt.php/rep/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Emplado';
        break;
        
      }
      parent.objMainTab.modalDialog(url,{title:'Busqueda de '+ tit,width:600,height:420});
    }else{
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Seleccione el tipo para el ListFind.'); setTimeout('elementLoad.hide()', 1000);
    }
  }
}
</script>

<script>
actionSelect = function(elm){
  
  var parentTr      = elm.parentNode.parentNode.id;
  
  $(parentTr + "_td_2_IdColaborador[]").value = "";
  $(parentTr + "_td_3").innerHTML = "&nbsp;";
  $(parentTr + "_td_4_part[]").value = "";
  
}

actionCod = function(elm){

  elm       = $(elm);
  elm.value = elm.value.trim();
  var elmValue = elm.value;
  
  parentTr = elm.parentNode.parentNode.id;
  
  elmDestino = parentTr + "_td_3";
  
  if(elmValue != ""){
    
    if(!grid.validateByColumn(2, elm, 'INPUT')){
    
      var parentTr      = elm.parentNode.parentNode.id;
      var valueSelect   = $(parentTr + "_td_1_tipoColaborador[]").value;
      
      $(elmDestino).innerHTML = "&nbsp;";
      formItem.loadProcess(parentTr + "_td_3");
      actualizarElementos(elmValue, elmDestino, valueSelect);
      
    }else{
      
      elm.value = "";
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;El Código ya fue Ingresado'); setTimeout('elementLoad.hide()', 1000);
      $(elmDestino).innerHTML = "&nbsp;";
      
    }
    
  }
  
}
</script>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Mercado</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha del Mercado</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST" onsubmit="validatePass();" enctype="multipart/form-data">
      <input type="hidden" name="control" value="1">
      <input type="hidden" name="IdMercado" id="IdMercado">
      
      <fieldset>
       <legend class="fielsettex"><I>Datos Generales</I></legend>
			
      <table   width="100%" style="background: #E3E9E2">
        <tr>
          <td valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="50%"  valign="top">
                    <table width="55%"  border="0" cellpadding="0" cellspacing="2" class="SubCabecera">
                
                    <tr>
                   <td width="50%"  valign="top"><table border="0" cellpadding="0" cellspacing="2" class="SubCabecera">
                    
                     <tr>
  					   <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDescripcion" >Mercado</label></td>
  					    <td class="label"><label class="label">&nbsp;:&nbsp;<?php echo $o_MercadoBean[0]->getDescripcion()?></label></td>
  						<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
                  		<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtTelefono" >Teléfono</label></td>
                  		<td class="label"><label class="label">&nbsp;:&nbsp;<?php echo $o_MercadoBean[0]->getTelefono()?></label></td>
				   </tr>
				   <tr>
                        <td colspan="5">&nbsp;</td>
                     </tr>
				   <tr>
				     <td nowrap="nowrap" width="10%" class="cabecera"><label class="label" for="txtDireccion">Direcci&oacute;n</label></td>
  					 <td width="76%" class="label"><label class="label">&nbsp;:&nbsp;<?php echo $o_MercadoBean[0]->getDireccion()?></label></td>
  					 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
  					  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtEstado" >Estado</label></td>
					  <td width="38%" nowrap="nowrap"><label class="label" for="Estado">&nbsp;:&nbsp;<? if ($o_MercadoBean[0]->getEstado()=='A'){ echo "Activo";} else { echo "Inactivo";}?></label></td>
				   </tr>
                </table>
                </td>
              </tr>
              </table>
                </td>
              </tr>
            </table>
            <br>
            </form>
            
                  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td valign="top" id="contentDetail">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td>
                              <table border="0" cellspacing="0" cellpadding="0" width="100%">
                                <tr>
                                  <td class="tabSpace">&nbsp;</td>
                                  <td class="ssTab ssTabAct" id="ttab1" onclick=";" nowrap="nowrap">Representante Asignados</td>
                                  <td class="tabSpace">&nbsp;</td>
                                  <td width="100%" class="tabSpace">&nbsp;</td>
                                </tr>
                              </table>
                            </td>
                          </tr>
                          <tr>
                            <td class="marcoTab">
                              <div id="tab1">
                                <table class="SubDetalle" width="100%"  border="0" cellspacing="0" cellpadding="0">
                                  <tr>
                                    <td valign="top">
                                      <table width="100%" border="0" cellpadding="5" cellspacing="0">
                                        <tr>
                                          <td height="0">&nbsp;</td>
                                        </tr>
                                        <tr>
                                          <td align="left">
                                            <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
                                              <tr>
                                                <td>
                                                  <table class="grid" id="tableContent" width="100%" border="0" cellpadding="0" cellspacing="0">
                                                    <tbody id="idGrid">
                                                      <tr height="15">
                                                        <th width="5%" nowrap="nowrap">Nro</th>
                                                        <th width="15%" nowrap="nowrap">Tipo</th>
                                                        <th width="15%" nowrap="nowrap">Código</th>
                                                        <th width="55%" nowrap="nowrap" align="left">Nombre</th>
                                                        
                                                      </tr>
                                                     <?
                                                      $i = 0;
                                                      foreach ($a_MercadoRepresentante as $iKey => $o_MerColaborador){ 
                                                       $i++; ?>
                                                      <tr 
                                                         id="idGrid_tr_<?=$i?>" 
                                                         onmouseout  ="JavaScript:formItem.loadEngine('grid','leaveHover','idGrid_tr_<?=$i?>')" 
                                                         onmouseover ="JavaScript:formItem.loadEngine('grid','enterHover','idGrid_tr_<?=$i?>')" 
                                                         ondblclick  ="JavaScript:formItem.loadEngine('grid','rowSelect','idGrid_tr_<?=$i?>')" style="background-color: rgb(255, 255, 255);"
                                                      >
                                                        <td id="idGrid_tr_<?=$i?>_td_0" align="center" code="count"><?=$i?></td>
                                                        <td id="idGrid_tr_<?=$i?>_td_1" align="center" code="tipoColaborador[]">Representante</td>
                                                        <td id="idGrid_tr_<?=$i?>_td_2" align="center" code="IdColaborador[]"><?php $array_objeto = $o_MerColaborador->getObjectColaborador(); echo sprintf('%06d',$array_objeto[0]->getIdColaborador())?></td>
                                                        <td align="left" id="idGrid_tr_<?=$i?>_td_3"><?=$array_objeto[0]->getNombreCompleto()?></td>
                                                      </tr>
                                                      <?}?>
                                                    </tbody>
                                                  </table>
                                                </td>
                                              </tr>
                                            </table>
                                              
                                          </td>
                                        </tr>
                                      </table>  
                                    </td>
                                  </tr>
                                </table>
                                  
                              </div>
                             
                            </td>
                          </tr>
                        </table>
                        
                      </td>
                    </tr>
                  </table>
          </td>
        </tr>
       </table>
       </fieldset>
       <div align="right">
          <input type="hidden" name="typeSubmit" id="typeSubmit" onkeyup="">
      	 <input class="button" type="button" value="Cerrar" onclick="parent.objMainTab.windowsCloseAll();"/>
        </div> 
    </td>
  </tr>
</table>

